### Method

# Soup Auth cancel

#### Declaration [src]

    void
    soup_auth_cancel (
      SoupAuth* auth
    )

#### Description [src]

Call this on an auth to cancel it.

You need to cancel an auth to complete an asynchronous authenticate operation when no credentials are provided (`soup_auth_authenticate()` is not called). The `SoupAuth` will be cancelled on dispose if it hasn’t been authenticated.